# libtraceevent(3) Manual Page

## NAME

tep_is_file_bigendian, tep_set_file_bigendian - Get / set the endianness of the raw data being accessed by the tep handler.

## SYNOPSIS

    #include <event-parse.h>

    enum tep_endian {
            TEP_LITTLE_ENDIAN = 0,
            TEP_BIG_ENDIAN
    };

    bool tep_is_file_bigendian(struct tep_handle *tep);
    void tep_set_file_bigendian(struct tep_handle *tep, enum tep_endian endian);

## DESCRIPTION

The tep_is_file_bigendian() function gets the endianness of the raw data, being accessed by the tep handler. The tep argument is trace event parser context.

The tep_set_file_bigendian() function sets the endianness of raw data being accessed by the tep handler. The tep argument is trace event parser context.

    The endian argument is the endianness:
            TEP_LITTLE_ENDIAN - the raw data is in little endian format,
            TEP_BIG_ENDIAN - the raw data is in big endian format.

## RETURN VALUE

The tep_is_file_bigendian() function returns true if the data is in bigendian format, false otherwise.

## EXAMPLE

    #include <event-parse.h>
    ...
    struct tep_handle *tep = tep_alloc();
    ...
            tep_set_file_bigendian(tep, TEP_LITTLE_ENDIAN);
    ...
            if (tep_is_file_bigendian(tep)) {
                    /* The raw data is in big endian */
            } else {
                    /* The raw data is in little endian */
            }

## FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

## SEE ALSO

libtraceevent(3), trace-cmd(1)

## AUTHOR

    Steven Rostedt <rostedt@goodmis.org>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com>, author of this man page.

## REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org>

## LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

## RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/